Bug 592181 - graphics corruption, screen freezes several minutes after resume
graphics corruption, screen freezes several minutes after resume
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-14 03:27 EDT by Chad Feller
Modified: 2011-06-27 12:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:21:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (103.27 KB, text/plain)
2010-05-14 03:27 EDT, Chad Feller
no flags Details

  None (edit)
Description Chad Feller 2010-05-14 03:27:49 EDT
Created attachment 413955 [details]
Xorg.0.log

Description of problem:
several minutes (anywhere from 5 minutes to 30 minutes) after a resume, graphics will corrupt and screen will freeze.

after the most recent incident, today, I looked in /var/log/messages for any messages right before the corruption/freeze.  All I see is:

May 13 10:31:08 ichabod kernel: [drm] nouveau 0000:01:00.0: Unhandled PGRAPH_INTR - 0x00000100

Version-Release number of selected component (if applicable):
xorg-x11-drv-nouveau-0.0.16-5.20100423git13c1043.fc13.i686
kernel-2.6.33.3-85.fc13.i686

How reproducible:
always

Steps to Reproduce:
1. suspend laptop
2. resume laptop
3. work on laptop, or leave running, for several minutes.
  
Actual results:
graphics corrupt and display locks up.

Expected results:
screen should continue to function normally

Additional info:
hardware from lspci:
01:00.0 VGA compatible controller: nVidia Corporation NV31 [Quadro FX Go700] (rev a1)
The machine is a Dell Precision M60

In at least one instance, I was working on the desktop after the resume, during the corruption/freeze incident, and I could still move the mouse cursor around.  The mouse cursor was corrupt (sort of a pixely blob).  I couldn't click on anything nor could I switch to a virtual terminal.  Keyboard shortcuts didn't work, nor did mouse clicks.  So the only input being accepted was mouse movement.

The fact that nouveau does resume is a huge improvement.  I was never able to resume (although I could suspend) with the proprietary nVidia driver.  (Under the proprietary driver when I tried to resume the screen would immediately get vertical stripes and then immediately fade/melt away to white after resume.  The fans would come on full tilt and the system seemed to lock up.)
Comment 1 Bug Zapper 2011-06-02 10:03:45 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2011-06-27 12:21:15 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.